Bug 830481 - F16/F17 on ASUS 1201N: Kernels >= 3.2 break suspend
F16/F17 on ASUS 1201N: Kernels >= 3.2 break suspend
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
suspend usb first=3.2 tested=3.4.4-5
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-10 01:43 EDT by Gilboa Davara
Modified: 2013-08-01 13:20 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:20:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pm-suspend log (8.62 KB, application/x-bzip)
2012-06-10 01:43 EDT, Gilboa Davara
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 43299 None None None 2012-07-10 11:55:44 EDT

  None (edit)
Description Gilboa Davara 2012-06-10 01:43:59 EDT
Created attachment 590688 [details]
pm-suspend log

Description:
I've got a number of 1201N netbooks that ran Fedora 16 and now Fedora 17 (x86_64).
Suspend was rock solid throughout F15 and F16, up-until the kernel 3.2 was released as an update to F16.
When suspended (either by closing the lid or calling pm-suspend directly), the machine begins to suspend (the display blanks), but wakes up immediately.
Switching to Fedora 17 shows the same phenomena.
Some of the netbooks are using the nVidia drivers, some use the F17 shipped nouveau driver. Neither makes a difference.
Remembering the 3.2 re-introduced support for ASPM, I tried disabling it (pcie_aspm=off), but it made no difference.
I enabled pm_utils debug options (bzipped log attached), but again, nothing major popped up.

Versions:
kernel-3.3.7-1.fc17.x86_64 / kernel-3.4.0-1.fc17.x86_64

How reproducible:
Always.
Comment 1 Gilboa Davara 2012-07-03 09:05:08 EDT
As luck would have it, hibernate (that does work) causes severe FS corruption on ext4 fs - causing us to lose to F17 installations in once week.

- Gilboa
Comment 2 Gilboa Davara 2012-07-03 09:05:56 EDT
s/lose to F17 installations in once/lose two F17 installations in one/g

- Gilboa "too depressed to type".
Comment 3 Gilboa Davara 2012-07-04 04:39:38 EDT
... While trying to report this issue upstream I found a similar report [1] with a working work-around.

The work around is quite simple, adding the following lines to /etc/rc.d/rc.local:
echo US15 > /proc/acpi/wakeup
echo USB0 > /proc/acpi/wakeup

As far as we can see, this works reliably on a number of machines.

I wonder if this is not a regression - read, USB didn't wake my laptop up in <= 3.1...

- Gilboa
[1] https://bugzilla.kernel.org/show_bug.cgi?id=43299
Comment 4 Josh Boyer 2012-07-10 11:55:44 EDT
I'm guessing this still happens with the 3.4.4-5 kernel?
Comment 5 Gilboa Davara 2012-07-10 13:28:26 EDT
Yep, without the "fix", suspend is broken across the board.
If there's a fix / patch / build you want me to test, please let me know.

- Gilboa
Comment 6 Josh Boyer 2012-07-10 13:43:12 EDT
(In reply to comment #5)
> Yep, without the "fix", suspend is broken across the board.
> If there's a fix / patch / build you want me to test, please let me know.

We'll keep an eye on the upstream discussion and provide a test build with any patches that result from that.
Comment 7 Fedora End Of Life 2013-07-04 01:59:51 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 13:20:38 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.